﻿:root {
    --remundo-primary-color: #2c4154;
    --remundo-muted-primary-color: #5e819a;
    --remundo-muted-secondary-color: #dee6ee;
    --remundo-accent-color: #f1ad0e;
    --remundo-secondary-color: #d6d6d6;
    --remundo-secondary-color-light: #f7f7f7;
    --remundo-secondary-color-dark: #c3c3c3;
    --remundo-error-color: #9f0d10;
    --remundo-link-color: #0065A2;
    --remundo-light-link-color: #1E90FF;
    --remundo-success-color: #34c38f;
    --bs-primary: var(--remundo-primary-color);
}

/* Boostrap Override */

.text-primary { 
    color: var(--remundo-primary-color) !important;
}

.text-secondary {
    color: var(--remundo-secondary-color) !important;
}

.text-secondary-light {
    color: var(--remundo-secondary-color-light) !important;
}

.text-secondary-dark {
    color: var(--remundo-secondary-color-dark) !important;
}

.text-warning {
    color: var(--remundo-accent-color) !important;
}

.text-error {
    color: var(--remundo-error-color) !important; 
}

.bg-primary {
    background: var(--remundo-primary-color) !important;
}

.bg-primary-muted {
    background: var(--remundo-muted-primary-color) !important;
}

.bg-secondary {
    background: var(--remundo-secondary-color) !important;
}

.bg-secondary-light {
    background: var(--remundo-secondary-color-light) !important;
}

.bg-secondary-dark {
    background: var(--remundo-secondary-color-dark) !important;
}

.bg-warning {
    background: var(--remundo-accent-color) !important;
}

.border-primary {
    border-color: var(--remundo-primary-color) !important;
}

.border-secondary {
    border-color: var(--remundo-secondary-color) !important;
}

.border-secondary-light {
    border-color: var(--remundo-secondary-color-light) !important;
}

.border-secondary-dark {
    border-color: var(--remundo-secondary-color-dark) !important;
}

.border-warning {
    border-color: var(--remundo-accent-color);
}

/* Misc */

.spinner {
    margin: 100px auto;
    width: 40px;
    height: 40px;
    position: relative;
}

.cube1, .cube2 {
    background-color: #333;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-animation: sk-cubemove 1.8s infinite ease-in-out;
    animation: sk-cubemove 1.8s infinite ease-in-out;
}

.cube2 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.nav-item {
    line-height: 1.5rem !important;
}

.add-row {
    display: flex;
    height: fit-content;
    width: 100%;
    padding-bottom: 0.5rem;
    justify-content: space-between;
}

.add-document-label {
    width:50%;
}

@-webkit-keyframes sk-cubemove {
    25% {
        -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5)
    }

    50% {
        -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg)
    }

    75% {
        -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5)
    }

    100% {
        -webkit-transform: rotate(-360deg)
    }
}

@keyframes sk-cubemove {
    25% {
        transform: translateX(42px) rotate(-90deg) scale(0.5);
        -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5);
    }

    50% {
        transform: translateX(42px) translateY(42px) rotate(-179deg);
        -webkit-transform: translateX(42px) translateY(42px) rotate(-179deg);
    }

    50.1% {
        transform: translateX(42px) translateY(42px) rotate(-180deg);
        -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg);
    }

    75% {
        transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
        -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
    }

    100% {
        transform: rotate(-360deg);
        -webkit-transform: rotate(-360deg);
    }
}

.input-group {
    display: flex;
    align-items: center;
    width: 100%;
}

.input-group .form-control:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    flex: 1;
}

.input-group .input-group-append {
    display: flex;
}

.input-group .input-group-append .btn {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.remundo-colour {
    color: var(--remundo-primary-color) !important;
}

.remundo-background-colour {
    background-color: var(--remundo-primary-color) !important;
}

.background-error {
    background: var(--remundo-error-color) !important;
}

.fake-link {
    cursor: pointer;
    color: blue;
    text-decoration: underline;
}

.btn-cancel {
    border: 1px, solid, var(--remundo-primary-color);
    color: var(--remundo-primary-color);
    background-color: transparent;
    font-size: .9rem;
    width: 8rem;
    height: 2.25rem;
}

.btn-cancel:hover {
    border: 1px, solid, var(--remundo-primary-color);
    color: var(--remundo-primary-color);
    background-color: lightgray;
}

.btn-submit {
    background-color: var(--remundo-primary-color);
    color: white;
    font-size: .9rem;
    width: 8rem;
    height: 2.25rem;
}

.btn-submit:hover {
    background-color: var(--remundo-muted-primary-color);
    color: white;
}

.btn-accent {
    background-color: var(--remundo-accent-color);
    color: white;
    font-size: .9rem;
    width: 8rem;
    height: 2.25rem;
}

.btn-accent:hover {
    background-color: var(--remundo-muted-accent-color);
    color: white;
}

.btn-remundo-primary {
    background-color: var(--remundo-primary-color) !important;
    color: white !important;
    font-size: .9rem !important;
    width: 8rem !important;
    height: 2.25rem !important;
}

.btn-remundo-primary:hover {
        background-color: var(--remundo-muted-primary-color) !important;
        color: white !important;
}

.error {
    color: red;
    font-weight: bold;
}

.custom-rz-menu .rz-navigation-item-link
{
    background-color: var(--remundo-primary-color) !important;
}

.custom-rz-menu :nth-child(1 of .rz-navigation-item) .rz-navigation-item-wrapper .rz-navigation-item-link
{
    border-radius: 0.5rem 0 0 0.5rem;
}

.custom-rz-menu :nth-last-child(1 of .rz-navigation-item) .rz-navigation-item-wrapper .rz-navigation-item-link
{
    border-radius: 0 0.5rem 0.5rem 0;
}

.custom-rz-menu .rz-navigation-item-link:hover
{
    background-color: var(--remundo-muted-primary-color) !important;
}

.custom-rz-menu .rz-navigation-item-text,
.custom-rz-menu .rz-navigation-item-icon,
.custom-rz-menu .rz-navigation-item-link
{
    color: white !important;
}

.custom-rz-menu .rz-navigation-menu
{
    background-color: white !important;
    border-radius: 0 0 1rem 1rem !important;
    border: 0.1rem solid black;
}

.custom-rz-menu .rz-navigation-menu .rz-navigation-item-link
{
    background-color: transparent !important;
    color: black !important;
    border-radius: 0 !important;
}

.custom-rz-menu .rz-navigation-menu .rz-navigation-item .rz-navigation-item-wrapper .rz-navigation-item-link:hover
{
    background-color: lightgray !important;
}

.custom-rz-menu .rz-navigation-menu .rz-navigation-item-link .rz-navigation-item-text,
.custom-rz-menu .rz-navigation-menu .rz-navigation-item-link .rz-navigation-item-icon
{
    color: black !important;
}

.remundo-dropdown > .dropdown-toggle {
    background-color: var(--remundo-primary-color) !important;
    color: white !important;
    border-radius: .4rem !important;
    padding: .4rem .6rem !important;
}

.remundo-dropdown > button {
    font-weight: 600;
}

.remundo-dropdown > .dropdown-toggle:focus {
    box-shadow: none !important;
} 

.remundo-dropdown .dropdown-menu {
    background-color: white !important;
    border-radius: 0 0 1rem 1rem !important;
    border: 0.1rem solid black;
    top: -2.5px !important;
}

.remundo-dropdown .dropdown-menu li .dropdown-item:active {
    background-color: lightgrey !important;
}

.remundo-dropdown .dropdown-menu .dropdown-menu {
    left: 14.5px !important;
    top: 0 !important;
}

.badge-success {
    background-color: var(--remundo-success-color);
    color: white;
}

.badge-warning {
    background-color: var(--remundo-accent-color);
    color: white;
}

.badge-danger {
    background-color: var(--remundo-error-color);
    color: white;
}

.badge-secondary {
    background-color: var(--remundo-secondary-color);
    color: black;
}

.fw-100 {
    font-weight: 100;
}

.fw-200 {
    font-weight: 200;
}

.fw-300 {
    font-weight: 300;
}

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-600 {
    font-weight: 600;
}

.fw-700 {
    font-weight: 700;
}

.fw-800 {
    font-weight: 800;
}

.fw-900 {
    font-weight: 900;
}

/* --- Extra Small (xs) - Default (0px and up) --- */
.w-0 {
    width: 0% !important;
}

.w-5 {
    width: 5% !important;
}

.w-10 {
    width: 10% !important;
}

.w-15 {
    width: 15% !important;
}

.w-20 {
    width: 20% !important;
}

.w-25 {
    width: 25% !important;
}

.w-30 {
    width: 30% !important;
}

.w-35 {
    width: 35% !important;
}

.w-40 {
    width: 40% !important;
}

.w-45 {
    width: 45% !important;
}

.w-50 {
    width: 50% !important;
}

.w-55 {
    width: 55% !important;
}

.w-60 {
    width: 60% !important;
}

.w-65 {
    width: 65% !important;
}

.w-70 {
    width: 70% !important;
}

.w-75 {
    width: 75% !important;
}

.w-80 {
    width: 80% !important;
}

.w-85 {
    width: 85% !important;
}

.w-90 {
    width: 90% !important;
}

.w-95 {
    width: 95% !important;
}

.w-100 {
    width: 100% !important;
}

/* --- Small (sm) - 576px and up --- */
@media (min-width: 576px) {
    .w-sm-0 {
        width: 0% !important;
    }

    .w-sm-5 {
        width: 5% !important;
    }

    .w-sm-10 {
        width: 10% !important;
    }

    .w-sm-15 {
        width: 15% !important;
    }

    .w-sm-20 {
        width: 20% !important;
    }

    .w-sm-25 {
        width: 25% !important;
    }

    .w-sm-30 {
        width: 30% !important;
    }

    .w-sm-35 {
        width: 35% !important;
    }

    .w-sm-40 {
        width: 40% !important;
    }

    .w-sm-45 {
        width: 45% !important;
    }

    .w-sm-50 {
        width: 50% !important;
    }

    .w-sm-55 {
        width: 55% !important;
    }

    .w-sm-60 {
        width: 60% !important;
    }

    .w-sm-65 {
        width: 65% !important;
    }

    .w-sm-70 {
        width: 70% !important;
    }

    .w-sm-75 {
        width: 75% !important;
    }

    .w-sm-80 {
        width: 80% !important;
    }

    .w-sm-85 {
        width: 85% !important;
    }

    .w-sm-90 {
        width: 90% !important;
    }

    .w-sm-95 {
        width: 95% !important;
    }

    .w-sm-100 {
        width: 100% !important;
    }
}

/* --- Medium (md) - 768px and up --- */
@media (min-width: 768px) {
    .w-md-0 {
        width: 0% !important;
    }

    .w-md-5 {
        width: 5% !important;
    }

    .w-md-10 {
        width: 10% !important;
    }

    .w-md-15 {
        width: 15% !important;
    }

    .w-md-20 {
        width: 20% !important;
    }

    .w-md-25 {
        width: 25% !important;
    }

    .w-md-30 {
        width: 30% !important;
    }

    .w-md-35 {
        width: 35% !important;
    }

    .w-md-40 {
        width: 40% !important;
    }

    .w-md-45 {
        width: 45% !important;
    }

    .w-md-50 {
        width: 50% !important;
    }

    .w-md-55 {
        width: 55% !important;
    }

    .w-md-60 {
        width: 60% !important;
    }

    .w-md-65 {
        width: 65% !important;
    }

    .w-md-70 {
        width: 70% !important;
    }

    .w-md-75 {
        width: 75% !important;
    }

    .w-md-80 {
        width: 80% !important;
    }

    .w-md-85 {
        width: 85% !important;
    }

    .w-md-90 {
        width: 90% !important;
    }

    .w-md-95 {
        width: 95% !important;
    }

    .w-md-100 {
        width: 100% !important;
    }
}

/* --- Large (lg) - 992px and up --- */
@media (min-width: 992px) {
    .w-lg-0 {
        width: 0% !important;
    }

    .w-lg-5 {
        width: 5% !important;
    }

    .w-lg-10 {
        width: 10% !important;
    }

    .w-lg-15 {
        width: 15% !important;
    }

    .w-lg-20 {
        width: 20% !important;
    }

    .w-lg-25 {
        width: 25% !important;
    }

    .w-lg-30 {
        width: 30% !important;
    }

    .w-lg-35 {
        width: 35% !important;
    }

    .w-lg-40 {
        width: 40% !important;
    }

    .w-lg-45 {
        width: 45% !important;
    }

    .w-lg-50 {
        width: 50% !important;
    }

    .w-lg-55 {
        width: 55% !important;
    }

    .w-lg-60 {
        width: 60% !important;
    }

    .w-lg-65 {
        width: 65% !important;
    }

    .w-lg-70 {
        width: 70% !important;
    }

    .w-lg-75 {
        width: 75% !important;
    }

    .w-lg-80 {
        width: 80% !important;
    }

    .w-lg-85 {
        width: 85% !important;
    }

    .w-lg-90 {
        width: 90% !important;
    }

    .w-lg-95 {
        width: 95% !important;
    }

    .w-lg-100 {
        width: 100% !important;
    }
}

/* --- Extra Large (xl) - 1200px and up --- */
@media (min-width: 1200px) {
    .w-xl-0 {
        width: 0% !important;
    }

    .w-xl-5 {
        width: 5% !important;
    }

    .w-xl-10 {
        width: 10% !important;
    }

    .w-xl-15 {
        width: 15% !important;
    }

    .w-xl-20 {
        width: 20% !important;
    }

    .w-xl-25 {
        width: 25% !important;
    }

    .w-xl-30 {
        width: 30% !important;
    }

    .w-xl-35 {
        width: 35% !important;
    }

    .w-xl-40 {
        width: 40% !important;
    }

    .w-xl-45 {
        width: 45% !important;
    }

    .w-xl-50 {
        width: 50% !important;
    }

    .w-xl-55 {
        width: 55% !important;
    }

    .w-xl-60 {
        width: 60% !important;
    }

    .w-xl-65 {
        width: 65% !important;
    }

    .w-xl-70 {
        width: 70% !important;
    }

    .w-xl-75 {
        width: 75% !important;
    }

    .w-xl-80 {
        width: 80% !important;
    }

    .w-xl-85 {
        width: 85% !important;
    }

    .w-xl-90 {
        width: 90% !important;
    }

    .w-xl-95 {
        width: 95% !important;
    }

    .w-xl-100 {
        width: 100% !important;
    }
}

.w-f-c {
    width: fit-content; 
}

.h-0 {
    height: 0%;
}

.h-5 {
    height: 5%;
}

.h-10 {
    height: 10%;
}

.h-15 {
    height: 15%;
}

.h-20 {
    height: 20%;
}

.h-25 {
    height: 25%;
}

.h-30 {
    height: 30%;
}

.h-35 {
    height: 35%;
}

.h-40 {
    height: 40%;
}

.h-45 {
    height: 45%;
}

.h-50 {
    height: 50%;
}

.h-55 {
    height: 55%;
}

.h-60 {
    height: 60%;
}

.h-65 {
    height: 65%;
}

.h-70 {
    height: 70%;
}

.h-75 {
    height: 75%;
}

.h-80 {
    height: 80%;
}

.h-85 {
    height: 85%;
}

.h-90 {
    height: 90%;
}

.h-95 {
    height: 95%;
}

.h-100 {
    height: 100%;
}

.br-1 {
    border-radius: 0.25rem;
}

.br-2 {
    border-radius: 0.5rem;
}

.br-3 {
    border-radius: 1rem;
}

.fs-7 {
    font-size: 0.875rem !important; 
}

.fs-8 {
    font-size: 0.75rem !important;
}

.fs-9 {
    font-size: 0.625rem !important; 
}

.fs-10 {
    font-size: 0.5rem !important; 
}

.min-w-15 {
    min-width: 15rem !important;
}

.custom-rz-modal {
    border-radius: 1rem !important;
}

.custom-rz-modal .rz-dialog-titlebar {
    background-color: inherit !important;
}

.onboarding-supporting-modal .rz-dialog-titlebar {
    border-bottom: solid lightgrey 1px;
}

.onboarding-supporting-modal .rz-dialog-content {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.custom-rz-modal .rz-dialog-content {
    padding: 0;
}

.full-screen-modal {
    display: flex !important;
    flex-direction: column !important;
}

.full-screen-modal .rz-dialog-content {
    flex: 1 !important;
    display: flex !important;
    flex-direction: column !important;
    overflow: hidden !important;
}

.custom-rz-checkbox .rz-state-active {
    background-color: var(--remundo-primary-color) !important;
    border-radius: .3rem !important;
}

.custom-rz-checkbox .rz-chkbox-box {
    border-radius: .3rem !important;
    border-width: .1rem !important;
}

.custom-rz-radio .rz-radiobutton .rz-radiobutton-box {
    border-color: var(--remundo-primary-color) !important;
    border-width: .1rem !important;
}

.custom-rz-radio .rz-radiobutton .rz-state-active {
    background-color: white !important;
}

.custom-rz-radio .rz-radiobutton .rz-radiobutton-box .rzi-circle-on {
    background-color: var(--remundo-primary-color) !important;
    width: .65rem;
    height: .65rem;
}

.custom-rz-radio .rz-radiobutton {
    width: 1.1rem;
    height: 1.1rem;
}

.settings-heading {
    font-size: 1.5rem;
}

.settings-heading-container {
    border-bottom: 2px solid #e0e0e0;
    width: 50%;
}

.settings-sub-heading {
    font-size: 1.25rem;
}

.warning-tooltip {
    all: unset;
    box-shadow: none;
    padding: 1rem;
    border: 3px solid red;
    border-radius: 16px;
    background-color: white;
}

.text-indent {
    text-indent: 1rem;
}

.cursor-pointer{
    cursor:pointer;
}

.remove-margin {
    margin: unset !important;
}

.ri {
    display: inline-block;
    width: 1.1em;
    height: 1.1em;
    vertical-align: middle;
    background-color: currentColor;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-position: center;
    mask-position: center;
}

.ri-vacation {
    -webkit-mask-image: url('../images/vacation.svg');
    mask-image: url('../images/vacation.svg');
}

.ri-public-holiday {
    -webkit-mask-image: url('../images/public-holiday.svg');
    mask-image: url('../images/public-holiday.svg');
}

.ri-medical-absence {
    -webkit-mask-image: url('../images/medical-absence.svg');
    mask-image: url('../images/medical-absence.svg');
}

.ri-unpaid-absence {
    -webkit-mask-image: url('../images/unpaid-absence.svg');
    mask-image: url('../images/unpaid-absence.svg');
}

.ri-special-event {
    -webkit-mask-image: url('../images/special-event.svg');
    mask-image: url('../images/special-event.svg');
}

.ri-rocket-takeoff {
    -webkit-mask-image: url('../images/rocket-takeoff.svg');
    mask-image: url('../images/rocket-takeoff.svg');
}

.ri-finish-flag {
    -webkit-mask-image: url('../images/finish-flag.svg');
    mask-image: url('../images/finish-flag.svg');
}

.action-dropdown {
    background: var(--remundo-primary-color);
    border-radius: 5px;
    color: white !important;
}

    .action-dropdown .rz-primary {
        background: transparent !important;
    }

    .action-dropdown.actioned .rz-button.rz-state-disabled {
        opacity: 100%;
    }

    .action-dropdown.actioned .rz-splitbutton-menubutton.rz-state-disabled {
        display: none;
    }

.table-menu > .rz-navigation-item {
    background-color: var(--remundo-primary-color);
    border-radius: 5px;
    min-width: 8rem;
}

    .table-menu > .rz-navigation-item > .rz-navigation-item-wrapper .rz-navigation-item-link,
    .table-menu > .rz-navigation-item > .rz-navigation-item-wrapper .rz-navigation-item-text,
    .table-menu > .rz-navigation-item > .rz-navigation-item-wrapper .rz-navigation-item-icon {
        color: white !important;
        font-weight: 600;
    }